libzypp 17.37.10

zypp::ProvideFileExistenceOperation Struct Reference

## Public Member Functions
| ProvideFileExistenceOperation ()
void | operator() (media::MediaAccessId media, const OnMediaLocation &file)

## Public Attributes
bool | result

## Detailed Description

Definition at line 192 of file MediaSetAccess.cc.

## Constructor & Destructor Documentation

## ◆ ProvideFileExistenceOperation()

zypp::ProvideFileExistenceOperation::ProvideFileExistenceOperation | ( |  | ) |
| inline

Definition at line 195 of file MediaSetAccess.cc.

## Member Function Documentation

## ◆ operator()()

void zypp::ProvideFileExistenceOperation::operator() | ( | media::MediaAccessId | media,
|  | const OnMediaLocation & | file )
| inline

Definition at line 199 of file MediaSetAccess.cc.

## Member Data Documentation

## ◆ result

bool zypp::ProvideFileExistenceOperation::result

Definition at line 194 of file MediaSetAccess.cc.

The documentation for this struct was generated from the following file:

- zypp/MediaSetAccess.cc